# H248_IndAudTerminationStateDescriptor Class Reference

`#include <h248.h>`

Inheritance diagram for H248_IndAudTerminationStateDescriptor:

List of all members.

## Public Types

enum | OptionalFields { e_eventBufferControl, e_serviceState }

## Public Member Functions

| H248_IndAudTerminationStateDescriptor (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_ArrayOf_IndAudPropertyParm | m_propertyParms
PASN_Null | m_eventBufferControl
PASN_Null | m_serviceState

## Member Enumeration Documentation

enum H248_IndAudTerminationStateDescriptor::OptionalFields

Enumerator:

  e_eventBufferControl |
  e_serviceState |

## Constructor & Destructor Documentation

H248_IndAudTerminationStateDescriptor::H248_IndAudTerminationStateDescriptor | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_IndAudTerminationStateDescriptor::GetDataLength | ( |  | ) | const

PBoolean H248_IndAudTerminationStateDescriptor::Decode | ( | PASN_Stream & | strm | ) |

void H248_IndAudTerminationStateDescriptor::Encode | ( | PASN_Stream & | strm | ) | const

void H248_IndAudTerminationStateDescriptor::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_IndAudTerminationStateDescriptor::Compare | ( | const PObject & | obj | ) | const

PObject* H248_IndAudTerminationStateDescriptor::Clone | ( |  | ) | const

## Member Data Documentation

H248_ArrayOf_IndAudPropertyParm H248_IndAudTerminationStateDescriptor::m_propertyParms

PASN_Null H248_IndAudTerminationStateDescriptor::m_eventBufferControl

PASN_Null H248_IndAudTerminationStateDescriptor::m_serviceState

The documentation for this class was generated from the following file:

- h248.h